#!/usr/bin/env bash

source ${DOTFILES}/helpers.sh

function main()
{
  print_info "Setting up homebrew"

  if ! which brew>/dev/null; then
    echo "Installing Homebrew"
    /usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
  fi

  if ! brew tap | grep caskroom/cask >/dev/null; then
    echo "Installing caskroom tap"
    brew tap caskroom/cask
  fi

  print_ok "Homebrew insalled"
}

main "$@"
