set -x DOTFILES $HOME/dotfiles
# The definition of $DOTFILES MUST be the first line of this file
# Don't change it!

if test -z "$FISH_SETUP_PATH"
  # Homebrew path
  set -x PATH /usr/local/bin /usr/local/sbin $PATH
  # Personal scripts
  set -x PATH $HOME/bin $PATH
  # To easily run things in current directory
  set -x PATH . $PATH

  set -x FISH_SETUP_PATH 'yes'
end

# Locale settings
set -x LANG sv_SE.UTF-8
set -x LC_ALL sv_SE.UTF-8

set -x EDITOR vim
alias v vim

if not is_ssh_agent_running
  ssh_agent_start
end

alias dc="docker-compose"
alias dcr="docker-compose run --rm"
alias dce="docker-compose exec"
alias drh="docker run -it --rm -v (pwd):/usr(pwd) -w /usr/(pwd)"
alias dnode="docker run --rm -v (pwd):/usr/(pwd) -w /usr/(pwd) node:11"
alias npm="drh node npm"
