function fish_prompt
  set -l status_copy $status

  if set -q VIRTUAL_ENV
    echo -sn "(" (basename "$VIRTUAL_ENV") ")"
  end

  # Hostname with unique color
  set_color (hostname -s | md5sum | cut -c-6)
  echo -sn (hostname -s)

  # A yellow separator
  # The color of this could be used to signify something
  set_color yellow
  echo -sn ':'

  # Contracted path to PWD
  set_color normal
  echo -sn (prompt_pwd)

  # A green or red >, depending on exit status of last command
  if test "$status_copy" -ne 0
    set_color red
  else
    set_color green
  end
  echo -sn ' > '
end

