#!/usr/bin/env bash

source ${DOTFILES}/helpers.sh

function main()
{
  local scriptdir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd)"

  brewget vim --with-override-system-vi

  makedir "${HOME}/.vim"
  if [ ! -f "${HOME}/.vim/vimrc" ]; then
    cat << EOF > "${HOME}/.vim/vimrc"
source ${scriptdir}/vimrc
EOF
  fi

  if [ ! -d "${HOME}/.vim/pack/minpac/opt" ]; then
    makedir "${HOME}/.vim/pack/minpac/opt"
    pushd "${HOME}/.vim/pack/minpac/opt"
      git clone https://github.com/k-takata/minpac.git
    popd
  fi

}

main "$@"
