#!/usr/bin/env bash

source ${DOTFILES}/helpers.sh

function main()
{
  local scriptdir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd)"

  print_info "Installing window manager"
  # Install chunkwm and khd
  brewget crisidev/homebrew-chunkwm/chunkwm
  brewget keokeishiya/formulae/khd

  # Link configuration files
  linkfile ${scriptdir}/khdrc ${HOME}/.khdrc
  linkfile ${scriptdir}/chunkwmrc ${HOME}/.chunkwmrc

  # Start services
  if ! brew services list | grep chunkwm >/dev/null; then
    brew services start khd
    brew services start chunkwm
  fi
  print_ok "Window manager installed and activated"

  print_info "Installing logitech drivers"
  caskget caskroom/drivers/logitech-options
  print_ok "Logitech drivers installed"

  ${scriptdir}/hammerspoon/setup.sh
}

main "$@"
